org.wso2.carbon.governance.api.common.util

## Class ApproveItemBean

- java.lang.Object
- - org.wso2.carbon.governance.api.common.util.ApproveItemBean

-     public class ApproveItemBean
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApproveItemBean()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `int` | `getOrder()`
    `int` | `getRequiredVotes()`
    `String` | `getStatus()`
    `Boolean` | `getValue()`
    `List<String>` | `getVoters()`
    `int` | `getVotes()`
    `void` | `setName(String name)`
    `void` | `setOrder(int order)`
    `void` | `setRequiredVotes(int requiredVotes)`
    `void` | `setStatus(String status)`
    `void` | `setValue(Boolean value)`
    `void` | `setVoters(List<String> voters)`
    `void` | `setVotes(int votes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApproveItemBean

          public ApproveItemBean()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getOrder

          public int getOrder()

    - #### setOrder

          public void setOrder(int order)

    - #### getStatus

          public String getStatus()

    - #### setStatus

          public void setStatus(String status)

    - #### getRequiredVotes

          public int getRequiredVotes()

    - #### setRequiredVotes

          public void setRequiredVotes(int requiredVotes)

    - #### getVotes

          public int getVotes()

    - #### getVoters

          public List<String> getVoters()

    - #### setVoters

          public void setVoters(List<String> voters)

    - #### setVotes

          public void setVotes(int votes)

    - #### getValue

          public Boolean getValue()

    - #### setValue

          public void setValue(Boolean value)

Copyright © 2017 WSO2. All rights reserved.